com.ibm.openpages.api.configuration

## Interface IFindOptions

-     public interface IFindOptions

  The interface that represents filtering and sorting to query configuration data
  Since:
    8.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IFindCondition` | `getCondition()` Returns the condition for the query
    `boolean` | `getIncludeTotalCount()` Get the include total count of the search results.
    `int` | `getPageNum()` Returns the Page number that needs to be retrieved in the search results
    `int` | `getResultsPerPage()` Get the results per page
    `boolean` | `getReturnOnlyCounts()` Get the return only count flag.
    `java.util.List<SortField>` | `getSortFields()` Returns the list of sort field
    `void` | `setCondition(IFindCondition condition)` Assigns the condition for the query
    `void` | `setIncludeTotalCount(boolean includeTotalCount)` Set the include total count of the search results.
    `void` | `setPageNum(int pageNum)` Set the page number to be retrieved in the search results.
    `void` | `setResultsPerPage(int resultsPerPage)` Set the results per page
    `void` | `setReturnOnlyCounts(boolean returnOnlyCounts)` Set the return only count flag.
    `void` | `setSortFields(java.util.List<SortField> sortFields)` Assigns the list of sort field

- - ### Method Detail

    - #### getSortFields

          java.util.List<SortField> getSortFields()

      Returns the list of sort field
      Returns:

    - #### setSortFields

          void setSortFields(java.util.List<SortField> sortFields)

      Assigns the list of sort field
      Parameters:
        `sortFields` -

    - #### getCondition

          IFindCondition getCondition()

      Returns the condition for the query
      Returns:

    - #### setCondition

          void setCondition(IFindCondition condition)

      Assigns the condition for the query
      Parameters:
        `condition` -

    - #### getPageNum

          int getPageNum()

      Returns the Page number that needs to be retrieved in the search results
      Returns:

    - #### setPageNum

          void setPageNum(int pageNum)

      Set the page number to be retrieved in the search results. Default behavior is to return all the pages of the search result
      Parameters:
        `pageNum` -

    - #### setResultsPerPage

          void setResultsPerPage(int resultsPerPage)

      Set the results per page
      Parameters:
        `resultsPerPage` -

    - #### getResultsPerPage

          int getResultsPerPage()

      Get the results per page
      Returns:

    - #### setIncludeTotalCount

          void setIncludeTotalCount(boolean includeTotalCount)

      Set the include total count of the search results. Default value for this flag is true.
      Parameters:
        `includeTotalCount` -

    - #### getIncludeTotalCount

          boolean getIncludeTotalCount()

      Get the include total count of the search results.
      Returns:

    - #### setReturnOnlyCounts

          void setReturnOnlyCounts(boolean returnOnlyCounts)

      Set the return only count flag. Default value for this flag is false.
      Parameters:
        `returnOnlyCounts` -

    - #### getReturnOnlyCounts

          boolean getReturnOnlyCounts()

      Get the return only count flag.
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.